// Not part of problem, added to demonstrate
// further use of LibraryItem interface

public class LibraryCD extends CD implements LibraryItem
{
  private String myID;
  private String myHolder;

  public LibraryCD(String artist, String title,
                     String id)
  {
    super(artist, title);
    myID = id;
    myHolder = null;
  }

  public String id()
  {
    return myID;
  }

  public String holder()
  {
    return myHolder;
  }

  public void setHolder(String newHolder)
  {
    myHolder = newHolder;
  }

  public String toString()
  {
    return myID + " CD: " + super.toString() + " out to: " + holder();
  }

  public int hashCode()
  {
    return toString().hashCode();
  }
}

